// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

public enum VenerisMessageTypes : uint
{
  Reserved = 0,
  Create = 1,
  Destroy = 2,
  VehicleState = 3,
  ExternalTime = 4,
  End = 5,
  UseOpal = 6,
  FinishOpalContext = 7,
  StaticMesh = 8,
  AddDynamicMeshGroup = 9,
  RemoveDynamicMeshGroup = 10,
  UpdateTransformInGroup = 11,
  FinishDynamicMeshGroup = 12,
  DynamicMesh = 13,
  ConfigOpal = 14,
  StaticMeshWithFaces = 15,
  OpalEdge = 16,
  RegisterGain = 17,
  RaySphereRange = 18,
  RDNRayRange = 19,
  RegisterReceiverGain = 20,
  RegisterTransmitterGain = 21,
  OpalEdgeToGroup = 22,
  DynamicMeshWithFaces = 23,
  StaticCurvedMesh = 24,
};


}
